#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libogg-1.3.6

- Next

  libsamplerate-0.2.2

- Up
- Home

# libplacebo-7.360.1

## Introduction to libplacebo

The libplacebo package contains a library for processing image and video primitives and shaders. It also includes a high quality rendering pipeline that supports OpenGL and Vulkan.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/haasn/libplacebo/archive/v7.360.1/libplacebo-7.360.1.tar.gz

- Download MD5 sum: e0fa1b52f8d7b7ba51373e9a639ca966

- Download size: 844 KB

- Estimated disk space required: 38 MB

- Estimated build time: 0.2 SBU (With tests)

### libplacebo Dependencies

#### Required

Glad-2.0.8

#### Recommended

Glslang-16.3.0 and Vulkan-Loader-1.4.341.0

#### Optional

Little CMS-2.19 libunwind-1.8.3, dovi_tool, Nuklear, and xxHash

## Installation of libplacebo

Install libplacebo by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release \
          -D tests=true       \
          -D demos=false      &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D demos=false`: This switch disables building the demo programs because building plplay is currently broken.

`-D tests=true`: This switch enables building the code necessary to run the tests.

## Contents

Installed Programs: None
Installed Libraries: libplacebo.so
Installed Directories: /usr/include/libplacebo

### Short Descriptions

`libplacebo.so` | processes image and video primitives and shaders and provides a high quality rendering pipeline for OpenGL and Vulkan

- Prev

  libogg-1.3.6

- Next

  libsamplerate-0.2.2

- Up
- Home